Index: code/branches/consolecommands3/src/orxonox/ChatInputHandler.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/ChatInputHandler.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/ChatInputHandler.cc	(revision 7204)
@@ -29,8 +29,8 @@
 #include "ChatInputHandler.h"
 #include <core/ScopedSingletonManager.h>
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/GUIManager.h"
 #include "core/CorePrereqs.h"
+#include "core/command/ConsoleCommand.h"
 #include <CEGUIWindow.h>
 #include <elements/CEGUIListbox.h>
Index: code/branches/consolecommands3/src/orxonox/OrxonoxPrecompiledHeaders.h
===================================================================
--- code/branches/consolecommands3/src/orxonox/OrxonoxPrecompiledHeaders.h	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/OrxonoxPrecompiledHeaders.h	(revision 7204)
@@ -89,5 +89,5 @@
 #include "network/synchronisable/Synchronisable.h" // 70
 #include "util/MultiType.h"    // 65
-#include "core/Executor.h"     // 55
+#include "core/command/Executor.h"     // 55
 //#include "core/XMLPort.h"     // 41
 
Index: code/branches/consolecommands3/src/orxonox/Radar.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/Radar.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/Radar.cc	(revision 7204)
@@ -37,6 +37,6 @@
 
 //#include "util/Math.h"
-#include "core/ConsoleCommand.h"
 #include "core/ObjectList.h"
+#include "core/command/ConsoleCommand.h"
 #include "interfaces/RadarListener.h"
 #include "controllers/HumanController.h"
Index: code/branches/consolecommands3/src/orxonox/Test.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/Test.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/Test.cc	(revision 7204)
@@ -29,5 +29,5 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 #include "network/NetworkFunction.h"
 #include "Test.h"
@@ -37,5 +37,5 @@
 {
     CreateFactory ( Test );
-  
+
     SetConsoleCommand(Test, printV1, true).accessLevel(AccessLevel::User);
     SetConsoleCommand(Test, printV2, true).accessLevel(AccessLevel::User);
@@ -44,14 +44,14 @@
     SetConsoleCommand(Test, call, true).accessLevel(AccessLevel::User);
     SetConsoleCommand(Test, call2, true).accessLevel(AccessLevel::User);
-  
-  
+
+
   //void=* aaaaa = copyPtr<sizeof(&Test::printV1)>( &NETWORK_FUNCTION_POINTER, &Test::printV1 );
   //void* NETWORK_FUNCTION_TEST_B = memcpy(&NETWORK_FUNCTION_POINTER, &a, sizeof(a));
 //   NetworkFunctionBase* NETWORK_FUNCTION_TEST_C = new NetworkFunctionStatic( createFunctor(&Test::printV1), "bla", NETWORK_FUNCTION_POINTER );
-  
+
     registerStaticNetworkFunction( &Test::printV1 );
     registerMemberNetworkFunction( Test, checkU1 );
     registerMemberNetworkFunction( Test, printBlaBla );
-  
+
     Test* Test::instance_ = 0;
 
@@ -78,5 +78,5 @@
         SetConfigValue ( u3, 3 )/*.callback ( this, &Test::checkV3 )*/;
         SetConfigValue ( u4, 4 )/*.callback ( this, &Test::checkV4 )*/;
-    
+
         SetConfigValue ( s1, 1 )/*.callback ( this, &Test::checkV1 )*/;
         SetConfigValue ( s2, 2 )/*.callback ( this, &Test::checkV2 )*/;
@@ -89,18 +89,18 @@
     {
         registerVariable ( this->mySet_, VariableDirection::ToClient );
-      
+
 //         registerVariable ( u1, VariableDirection::ToClient, new NetworkCallback<Test> ( this, &Test::checkU1 ));
 //         registerVariable ( u2, VariableDirection::ToServer, new NetworkCallback<Test> ( this, &Test::checkU2 ));
 //         registerVariable ( u3, Bidirectionality::ServerMaster, new NetworkCallback<Test> ( this, &Test::checkU3 ), true );
 //         registerVariable ( u4, Bidirectionality::ClientMaster, new NetworkCallback<Test> ( this, &Test::checkU4 ), true );
-    
+
 //         registerVariable ( s1, VariableDirection::ToClient, new NetworkCallback<Test> ( this, &Test::checkS1 ));
 //         registerVariable ( s2, VariableDirection::ToServer, new NetworkCallback<Test> ( this, &Test::checkS2 ));
 //         registerVariable ( s3, Bidirectionality::ServerMaster, new NetworkCallback<Test> ( this, &Test::checkS3 ), true );
 //         registerVariable ( s4, Bidirectionality::ClientMaster, new NetworkCallback<Test> ( this, &Test::checkS4 ), true );
-    
+
 //         registerVariable ( pointer_, VariableDirection::ToClient, new NetworkCallback<Test> ( this, &Test::printPointer ) );
     }
-  
+
   void Test::call(unsigned int clientID)
     {
@@ -108,10 +108,10 @@
         callStaticNetworkFunction( &Test::printV1, clientID );
     }
-  
+
     void Test::call2(unsigned int clientID, std::string s1, std::string s2, std::string s3, std::string s4)
     {
         callMemberNetworkFunction( Test, printBlaBla, this->getObjectID(), clientID, s1, s2, s3, s4, s4 );
     }
-  
+
     void Test::tick(float dt)
     {
@@ -132,10 +132,10 @@
     //       callMemberNetworkFunction( Test, checkU1, this->getObjectID(), 0 );
     }
-    
+
     void Test::printBlaBla(std::string s1, std::string s2, std::string s3, std::string s4, std::string s5)
     {
         COUT(0) << s1 << s2 << s3 << s4 << s5 << endl;
     }
-    
+
     void Test::checkU1(){ COUT(1) << "U1 changed: " << u1 << std::endl; }
     void Test::checkU2(){ COUT(1) << "U2 changed: " << u2 << std::endl; }
@@ -147,5 +147,5 @@
     void Test::checkS3(){ COUT(1) << "S3 changed: " << s3 << std::endl; }
     void Test::checkS4(){ COUT(1) << "S4 changed: " << s4 << std::endl; }
-    
+
     void Test::printPointer(){ CCOUT(1) << "pointer: " << this->pointer_ << endl; }
 
Index: code/branches/consolecommands3/src/orxonox/controllers/AIController.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/controllers/AIController.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/controllers/AIController.cc	(revision 7204)
@@ -31,5 +31,5 @@
 #include "util/Math.h"
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 #include "worldentities/ControllableEntity.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/branches/consolecommands3/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/controllers/ArtificialController.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/controllers/ArtificialController.cc	(revision 7204)
@@ -33,7 +33,7 @@
 
 #include "util/Math.h"
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "core/command/ConsoleCommand.h"
 #include "worldentities/ControllableEntity.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/branches/consolecommands3/src/orxonox/controllers/DroneController.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/controllers/DroneController.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/controllers/DroneController.cc	(revision 7204)
@@ -32,5 +32,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 #include "worldentities/ControllableEntity.h"
 
Index: code/branches/consolecommands3/src/orxonox/controllers/HumanController.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/controllers/HumanController.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/controllers/HumanController.cc	(revision 7204)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 #include "worldentities/ControllableEntity.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/branches/consolecommands3/src/orxonox/controllers/NewHumanController.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/controllers/NewHumanController.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/controllers/NewHumanController.cc	(revision 7204)
@@ -37,5 +37,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 #include "worldentities/ControllableEntity.h"
 #include "worldentities/pawns/Pawn.h"
Index: code/branches/consolecommands3/src/orxonox/gamestates/GSGraphics.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gamestates/GSGraphics.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/gamestates/GSGraphics.cc	(revision 7204)
@@ -35,8 +35,8 @@
 #include "GSGraphics.h"
 
-#include "core/CommandExecutor.h"
-#include "core/ConsoleCommand.h"
 #include "core/Game.h"
 #include "core/GUIManager.h"
+#include "core/command/ConsoleCommand.h"
+#include "core/command/CommandExecutor.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gamestates/GSLevel.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/gamestates/GSLevel.cc	(revision 7204)
@@ -36,5 +36,4 @@
 #include "core/input/InputState.h"
 #include "core/input/KeyBinderManager.h"
-#include "core/ConsoleCommand.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
@@ -42,4 +41,5 @@
 #include "core/Loader.h"
 #include "core/XMLFile.h"
+#include "core/command/ConsoleCommand.h"
 
 #include "LevelManager.h"
Index: code/branches/consolecommands3/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gamestates/GSMainMenu.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/gamestates/GSMainMenu.cc	(revision 7204)
@@ -33,9 +33,9 @@
 #include "core/input/KeyBinderManager.h"
 #include "core/Game.h"
-#include "core/ConsoleCommand.h"
 #include "core/ConfigValueIncludes.h"
 #include "core/CoreIncludes.h"
 #include "core/GraphicsManager.h"
 #include "core/GUIManager.h"
+#include "core/command/ConsoleCommand.h"
 #include "Scene.h"
 #include "sound/AmbientSound.h"
Index: code/branches/consolecommands3/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gamestates/GSRoot.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/gamestates/GSRoot.cc	(revision 7204)
@@ -31,7 +31,7 @@
 #include "util/Clock.h"
 #include "core/BaseObject.h"
-#include "core/ConsoleCommand.h"
 #include "core/Game.h"
 #include "core/GameMode.h"
+#include "core/command/ConsoleCommand.h"
 #include "network/NetworkFunction.h"
 #include "tools/Timer.h"
Index: code/branches/consolecommands3/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gametypes/Gametype.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/gametypes/Gametype.cc	(revision 7204)
@@ -33,5 +33,5 @@
 #include "core/ConfigValueIncludes.h"
 #include "core/GameMode.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 
 #include "infos/PlayerInfo.h"
Index: code/branches/consolecommands3/src/orxonox/gametypes/TeamBaseMatch.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/gametypes/TeamBaseMatch.cc	(revision 7204)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
+#include "core/command/Executor.h"
 #include "worldentities/pawns/TeamBaseMatchBase.h"
 #include "infos/PlayerInfo.h"
Index: code/branches/consolecommands3/src/orxonox/graphics/ParticleSpawner.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/graphics/ParticleSpawner.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/graphics/ParticleSpawner.cc	(revision 7204)
@@ -31,6 +31,6 @@
 #include "core/CoreIncludes.h"
 #include "core/EventIncludes.h"
-#include "core/Executor.h"
 #include "core/XMLPort.h"
+#include "core/command/Executor.h"
 #include "tools/ParticleInterface.h"
 
Index: code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.cc	(revision 7204)
@@ -47,6 +47,6 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/ConsoleCommand.h"
 #include "core/ScopedSingletonManager.h"
+#include "core/command/ConsoleCommand.h"
 #include "core/input/InputManager.h"
 #include "core/input/InputState.h"
Index: code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.h
===================================================================
--- code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.h	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/overlays/InGameConsole.h	(revision 7204)
@@ -37,6 +37,6 @@
 #include "util/OgreForwardRefs.h"
 #include "util/Singleton.h"
-#include "core/Shell.h"
 #include "core/WindowEventListener.h"
+#include "core/command/Shell.h"
 
 namespace orxonox
Index: code/branches/consolecommands3/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 7204)
@@ -48,5 +48,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "core/ConsoleCommand.h"
+#include "core/command/ConsoleCommand.h"
 
 #include "OverlayGroup.h"
Index: code/branches/consolecommands3/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/overlays/OverlayGroup.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/overlays/OverlayGroup.cc	(revision 7204)
@@ -34,7 +34,7 @@
 #include "OverlayGroup.h"
 
-#include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "core/command/ConsoleCommand.h"
 #include "OrxonoxOverlay.h"
 
Index: code/branches/consolecommands3/src/orxonox/sound/WorldSound.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/sound/WorldSound.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/sound/WorldSound.cc	(revision 7204)
@@ -37,5 +37,4 @@
 #include "Scene.h"
 #include "SoundManager.h"
-#include <core/ConsoleCommandCompilation.h>
 
 namespace orxonox
Index: code/branches/consolecommands3/src/orxonox/worldentities/BigExplosion.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/worldentities/BigExplosion.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/worldentities/BigExplosion.cc	(revision 7204)
@@ -31,6 +31,6 @@
 #include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
 #include "core/GameMode.h"
+#include "core/command/Executor.h"
 #include "tools/ParticleInterface.h"
 #include "Scene.h"
Index: code/branches/consolecommands3/src/orxonox/worldentities/ExplosionChunk.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/worldentities/ExplosionChunk.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/worldentities/ExplosionChunk.cc	(revision 7204)
@@ -30,6 +30,6 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
 #include "core/GameMode.h"
+#include "core/command/Executor.h"
 #include "util/Exception.h"
 #include "Scene.h"
Index: code/branches/consolecommands3/src/orxonox/worldentities/MovableEntity.cc
===================================================================
--- code/branches/consolecommands3/src/orxonox/worldentities/MovableEntity.cc	(revision 7200)
+++ code/branches/consolecommands3/src/orxonox/worldentities/MovableEntity.cc	(revision 7204)
@@ -31,7 +31,7 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Executor.h"
 #include "core/GameMode.h"
 #include "core/XMLPort.h"
+#include "core/command/Executor.h"
 #include "worldentities/pawns/Pawn.h"
 