Index: /branches/std/src/lib/event/key_mapper.h
===================================================================
--- /branches/std/src/lib/event/key_mapper.h	(revision 7204)
+++ /branches/std/src/lib/event/key_mapper.h	(revision 7205)
@@ -29,5 +29,5 @@
   virtual ~KeyMapper();
 
-  void loadKeyBindings(const std::string& fileName = NULL);
+  void loadKeyBindings(const std::string& fileName = "" );
   void loadKeyBindings(IniParser* iniParser);
 
Index: /branches/std/src/lib/graphics/importer/md2Model.h
===================================================================
--- /branches/std/src/lib/graphics/importer/md2Model.h	(revision 7204)
+++ /branches/std/src/lib/graphics/importer/md2Model.h	(revision 7205)
@@ -194,5 +194,5 @@
  private:
    bool loadModel(const std::string& fileName);
-   bool loadSkin(const std::string& fileName = NULL);
+   bool loadSkin(const std::string& fileName = "");
 
  public:
@@ -223,5 +223,5 @@
 
 public:
-  MD2Model(const std::string& modelFileName, const std::string& skinFileName = NULL, float scale = 1.0f);
+  MD2Model(const std::string& modelFileName, const std::string& skinFileName = "", float scale = 1.0f);
   virtual ~MD2Model();
 
Index: /branches/std/src/lib/graphics/importer/movie_player.h
===================================================================
--- /branches/std/src/lib/graphics/importer/movie_player.h	(revision 7204)
+++ /branches/std/src/lib/graphics/importer/movie_player.h	(revision 7205)
@@ -58,5 +58,5 @@
 public:
 
-  MoviePlayer(const std::string& filename = NULL);
+  MoviePlayer(const std::string& filename = "");
   virtual ~MoviePlayer();
 
Index: /branches/std/src/lib/graphics/importer/static_model.h
===================================================================
--- /branches/std/src/lib/graphics/importer/static_model.h	(revision 7204)
+++ /branches/std/src/lib/graphics/importer/static_model.h	(revision 7205)
@@ -95,5 +95,5 @@
 {
  public:
-  StaticModel(const std::string& modelName = NULL);
+  StaticModel(const std::string& modelName = "");
   virtual ~StaticModel();
 
Index: /branches/std/src/lib/graphics/importer/texture.h
===================================================================
--- /branches/std/src/lib/graphics/importer/texture.h	(revision 7204)
+++ /branches/std/src/lib/graphics/importer/texture.h	(revision 7205)
@@ -18,5 +18,5 @@
   {
     public:
-      Texture(const std::string& imageName = NULL, GLenum target = GL_TEXTURE_2D);
+      Texture(const std::string& imageName = "", GLenum target = GL_TEXTURE_2D);
   //  Texture(TEXTURE_TYPE type, int resolution);
       virtual ~Texture();
Index: /branches/std/src/lib/graphics/shader.h
===================================================================
--- /branches/std/src/lib/graphics/shader.h	(revision 7204)
+++ /branches/std/src/lib/graphics/shader.h	(revision 7205)
@@ -27,5 +27,5 @@
 
   public:
-  Shader(const std::string& vertexShaderFile = NULL, const std::string& fragmentShaderFile = NULL);
+  Shader(const std::string& vertexShaderFile = "", const std::string& fragmentShaderFile = "");
   virtual ~Shader();
   static Shader* getShader(const std::string& vertexShaderFile, const std::string& fragmentShaderFile);
Index: /branches/std/src/lib/parser/ini_parser/ini_parser.cc
===================================================================
--- /branches/std/src/lib/parser/ini_parser/ini_parser.cc	(revision 7204)
+++ /branches/std/src/lib/parser/ini_parser/ini_parser.cc	(revision 7205)
@@ -118,6 +118,6 @@
     // READING IN THE INI-FILE //
     /////////////////////////////
-    char lineBuffer[PARSELINELENGHT];
-    char buffer[PARSELINELENGHT];
+    char lineBuffer[PARSELINELENGHT+1];
+    char buffer[PARSELINELENGHT+1];
     const char* lineBegin;
     char* ptr;
@@ -129,7 +129,12 @@
       if( (ptr = strchr( lineBuffer, '\n')) != NULL)
         *ptr = 0;
+      else
+        lineBuffer[PARSELINELENGHT] = 0;
       // cut up to the beginning of the line.
       while((*lineBegin == ' ' || *lineBegin == '\t') && lineBegin < lineBuffer + strlen(lineBuffer))
         ++lineBegin;
+      
+      if ( !strcmp( lineBegin, "" ) )
+        continue;
 
       // check if we have a FileComment
@@ -181,5 +186,5 @@
           --nameEnd;
         nameEnd[1] = '\0';
-
+        
         this->addVar(lineBegin, valueBegin);
         this->setEntryComment();
Index: /branches/std/src/lib/parser/ini_parser/ini_parser.h
===================================================================
--- /branches/std/src/lib/parser/ini_parser/ini_parser.h	(revision 7204)
+++ /branches/std/src/lib/parser/ini_parser/ini_parser.h	(revision 7205)
@@ -67,5 +67,5 @@
 
 
-    bool addVar(const std::string& entryName, const std::string& value, const std::string& sectionName = NULL);
+    bool addVar(const std::string& entryName, const std::string& value, const std::string& sectionName = "" );
     const std::string& getVar(const std::string& entryName, const std::string& sectionName, const std::string& defaultValue = "") const;
     void setEntryComment(const std::string& comment, const std::string& entryName, const std::string& sectionName);
@@ -98,6 +98,6 @@
     std::list<IniSection>::iterator getSectionIT(const std::string& sectionName);
 
-    std::list<IniEntry>::const_iterator getEntryIT(const std::string& entryName, const std::string& sectionName = NULL) const;
-    std::list<IniEntry>::iterator getEntryIT(const std::string& entryName, const std::string& sectionName = NULL);
+    std::list<IniEntry>::const_iterator getEntryIT(const std::string& entryName, const std::string& sectionName = "") const;
+    std::list<IniEntry>::iterator getEntryIT(const std::string& entryName, const std::string& sectionName = "");
 
   private:
Index: /branches/std/src/lib/sound/ogg_player.h
===================================================================
--- /branches/std/src/lib/sound/ogg_player.h	(revision 7204)
+++ /branches/std/src/lib/sound/ogg_player.h	(revision 7205)
@@ -27,5 +27,5 @@
 {
 public:
-  OggPlayer(const std::string& fileName = NULL);
+  OggPlayer(const std::string& fileName = "");
   virtual ~OggPlayer();
 