Index: /branches/std/src/lib/graphics/importer/md2Model.cc
===================================================================
--- /branches/std/src/lib/graphics/importer/md2Model.cc	(revision 7207)
+++ /branches/std/src/lib/graphics/importer/md2Model.cc	(revision 7208)
@@ -513,5 +513,5 @@
     }
 
-  this->skinFileName =fileName;
+  this->skinFileName = fileName;
 
   this->material.setName("md2ModelMaterial");
Index: /branches/std/src/lib/graphics/importer/media_container.cc
===================================================================
--- /branches/std/src/lib/graphics/importer/media_container.cc	(revision 7207)
+++ /branches/std/src/lib/graphics/importer/media_container.cc	(revision 7208)
@@ -34,5 +34,5 @@
  * Default constructor
  */
-MediaContainer::MediaContainer(const char* filename)
+MediaContainer::MediaContainer(const std::string& filename)
 {
   // set the class id for the base object
@@ -41,6 +41,6 @@
   fps = 0;
   mediaLoaded = false;
-
-  this->loadMedia(filename);
+  if (!filename.empty())
+    this->loadMedia(filename);
 }
 
@@ -84,14 +84,14 @@
 }
 
-bool MediaContainer::loadMedia(const char* filename)
+bool MediaContainer::loadMedia(const std::string& filename)
 {
   this->unloadMedia();
 
-  if(filename == NULL)
+  if(filename.empty())
     return false;
   // check whether file exists
   if(!ResourceManager::isInDataDir(filename))
   {
-    PRINTF(1)("Could not find %s\n", filename);
+    PRINTF(1)("Could not find %s\n", filename.c_str());
     return false;
   }
Index: /branches/std/src/lib/graphics/importer/media_container.h
===================================================================
--- /branches/std/src/lib/graphics/importer/media_container.h	(revision 7207)
+++ /branches/std/src/lib/graphics/importer/media_container.h	(revision 7208)
@@ -44,8 +44,8 @@
 public:
 
-  MediaContainer(const char* filename = NULL);
+  MediaContainer(const std::string& filename = NULL);
   virtual ~MediaContainer();
 
-  bool loadMedia(const char* filename);
+  bool loadMedia(const std::string& filename);
   void loadFrames();
 
Index: /branches/std/src/lib/graphics/importer/movie_player.cc
===================================================================
--- /branches/std/src/lib/graphics/importer/movie_player.cc	(revision 7207)
+++ /branches/std/src/lib/graphics/importer/movie_player.cc	(revision 7208)
@@ -42,6 +42,6 @@
   mediaLoaded = false;
 
-  this->loadMovie(filename);
-
+  if (!filename.empty())
+    this->loadMovie(filename);
 }
 
Index: /branches/std/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc
===================================================================
--- /branches/std/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc	(revision 7207)
+++ /branches/std/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.cc	(revision 7208)
@@ -87,5 +87,5 @@
   * @param backImageName name of the backgroun-image
  */
-void GLMenuImageScreen::setBackgroundImage (const char* backImageName)
+void GLMenuImageScreen::setBackgroundImage (const std::string& backImageName)
 {
   this->backMat->setDiffuseMap(backImageName);
@@ -130,5 +130,5 @@
  * @param barImage An image for the Bar
 */
-void GLMenuImageScreen::setBarImage(const char* barImage)
+void GLMenuImageScreen::setBarImage(const std::string& barImage)
 {
   this->barMat->setDiffuseMap(barImage);
Index: /branches/std/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.h
===================================================================
--- /branches/std/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.h	(revision 7207)
+++ /branches/std/src/lib/gui/gl_gui/glmenu/glmenu_imagescreen.h	(revision 7208)
@@ -13,7 +13,8 @@
 
 //! A class to display a loadScreen
-class GLMenuImageScreen : public BaseObject {
+class GLMenuImageScreen : public BaseObject
+{
 
- public:
+public:
   GLMenuImageScreen (const TiXmlElement* root = NULL);
   virtual void loadParams(const TiXmlElement* root);
@@ -22,10 +23,10 @@
   void draw();
 
-  void setBackgroundImage(const char* backImageName);
+  void setBackgroundImage(const std::string& backImageName);
   void setPosition(float offsetX, float offsetY);
   void setScale (float scaleX, float scaleY);
   void setPosScale(float offsetX, float offsetY, float scaleX, float scaleY);
 
-  void setBarImage(const char* barImage);
+  void setBarImage(const std::string& barImage);
   void setBarPosScale(float barX, float barY, float barW, float barH);
 
@@ -39,7 +40,7 @@
 
 
- private:
+private:
   // background image
-  char*         backImageName;       //!< the name of the file of the background image
+  std::string         backImageName;       //!< the name of the file of the background image
   float         offsetX;             //!< X-offset of the the image from the left
   float         offsetY;             //!< Y-offset of the image from the top
Index: /branches/std/src/lib/util/loading/resource_manager.cc
===================================================================
--- /branches/std/src/lib/util/loading/resource_manager.cc	(revision 7207)
+++ /branches/std/src/lib/util/loading/resource_manager.cc	(revision 7208)
@@ -324,4 +324,6 @@
                                   const MultiType& param0, const MultiType& param1, const MultiType& param2)
 {
+
+  printf("LOADING:::::: %s\n", fileName.c_str());
   // searching if the resource was loaded before.
   Resource* tmpResource;
Index: /branches/std/src/story_entities/movie_loader.cc
===================================================================
--- /branches/std/src/story_entities/movie_loader.cc	(revision 7207)
+++ /branches/std/src/story_entities/movie_loader.cc	(revision 7208)
@@ -36,5 +36,5 @@
 }
 
-MovieLoader::~MovieLoader() 
+MovieLoader::~MovieLoader()
 {
   delete this->movie_player;
@@ -56,5 +56,5 @@
 }
 
-void MovieLoader::loadMovie(const char* filename)
+void MovieLoader::loadMovie(const std::string& filename)
 {
   movie_player->loadMovie(filename);
@@ -78,5 +78,5 @@
 
   this->movie_player->start(0);
-  
+
   this->isRunning = true;
   this->run();
@@ -139,5 +139,5 @@
 
   // calculate time difference in milliseconds (Uint32)
-  this->dt = currentFrame - this->lastFrame; 
+  this->dt = currentFrame - this->lastFrame;
   // calculate time difference in seconds (float)
   this->dts = (float)this->dt / 1000.0f;
Index: /branches/std/src/story_entities/movie_loader.h
===================================================================
--- /branches/std/src/story_entities/movie_loader.h	(revision 7207)
+++ /branches/std/src/story_entities/movie_loader.h	(revision 7208)
@@ -43,5 +43,5 @@
 
   private:
-    void loadMovie(const char* filename);
+    void loadMovie(const std::string& filename);
     void setFPS(float fps);
     void tick();
Index: /branches/std/src/world_entities/movie_entity.cc
===================================================================
--- /branches/std/src/world_entities/movie_entity.cc	(revision 7207)
+++ /branches/std/src/world_entities/movie_entity.cc	(revision 7208)
@@ -74,5 +74,5 @@
 }
 
-void MovieEntity::loadMovie(const char* filename)
+void MovieEntity::loadMovie(const std::string& filename)
 {
   if(media_container->loadMedia(filename))
Index: /branches/std/src/world_entities/movie_entity.h
===================================================================
--- /branches/std/src/world_entities/movie_entity.h	(revision 7207)
+++ /branches/std/src/world_entities/movie_entity.h	(revision 7208)
@@ -37,5 +37,5 @@
     virtual void loadParams(const TiXmlElement* root);
 
-    void loadMovie(const char* filename);
+    void loadMovie(const std::string& filename);
     void setAxis(float axis);
     void setRotation(float rotation);
Index: /branches/std/src/world_entities/skybox.cc
===================================================================
--- /branches/std/src/world_entities/skybox.cc	(revision 7207)
+++ /branches/std/src/world_entities/skybox.cc	(revision 7208)
@@ -38,8 +38,8 @@
  * @param fileName the file to take as input for the SkyBox
 */
-SkyBox::SkyBox(const char* fileName)
+SkyBox::SkyBox(const std::string& fileName)
 {
   this->preInit();
-  if (fileName)
+  if (!fileName.empty())
     this->setTextureAndType(fileName, ".jpg");
   this->postInit();
@@ -89,5 +89,5 @@
   this->setParentMode(PNODE_MOVEMENT);
 
-  this->textureName = NULL;
+  this->textureName = "";
 }
 
@@ -106,10 +106,17 @@
   for (int i = 0; i < 6; i++)
   {
-    if( this->material[i])
+    if (this->material[i])
       delete this->material[i];
-    if( this->cubeTexture[i])
+    if (this->cubeTexture[i])
       ResourceManager::getInstance()->unload(this->cubeTexture[i]);
   }
 }
+
+void SkyBox::setTexture(const std::string& name)
+{
+  this->textureName = name;
+  this->setTextureAndType (name, "jpg");
+};
+
 
 /**
@@ -122,29 +129,14 @@
                "skybox_right.jpg", "skybox_front.jpg", "skybox_back.jpg");
 */
-void SkyBox::setTextureAndType(const char* name, const char* extension)
-{
-  char* top    = new char[strlen(name)+strlen(extension)+ 10];
-  char* bottom = new char[strlen(name)+strlen(extension)+ 10];
-  char* left   = new char[strlen(name)+strlen(extension)+ 10];
-  char* right  = new char[strlen(name)+strlen(extension)+ 10];
-  char* front  = new char[strlen(name)+strlen(extension)+ 10];
-  char* back   = new char[strlen(name)+strlen(extension)+ 10];
-
-  sprintf(top, "%s_top.%s", name, extension);
-  sprintf(bottom, "%s_bottom.%s", name, extension);
-  sprintf(left, "%s_left.%s", name, extension);
-  sprintf(right, "%s_right.%s", name, extension);
-  sprintf(front, "%s_front.%s", name, extension);
-  sprintf(back, "%s_back.%s", name, extension);
+void SkyBox::setTextureAndType(const std::string& name, const std::string& extension)
+{
+  std::string top = name + "_top." + extension;
+  std::string bottom = name + "_bottom." + extension;
+  std::string left = name + "_left." + extension;
+  std::string right = name + "_right." + extension;
+  std::string front = name + "_front." + extension;
+  std::string back = name + "_back." + extension;
 
   this->setTextures(top, bottom, left, right, front, back);
-
-  // deleted alocated memory of this function
-  delete []top;
-  delete []bottom;
-  delete []left;
-  delete []right;
-  delete []front;
-  delete []back;
 }
 
@@ -158,6 +150,6 @@
  * @param back the back texture.
 */
-void SkyBox::setTextures(const char* top, const char* bottom, const char* left,
-                          const char* right, const char* front, const char* back)
+void SkyBox::setTextures(const std::string& top, const std::string& bottom, const std::string& left,
+                          const std::string& right, const std::string& front, const std::string& back)
 {
   this->material[0]->setDiffuseMap(top);
@@ -171,6 +163,6 @@
 }
 
-void SkyBox::loadCubeMapTextures(const char* top, const char* bottom, const char* left,
-                                  const char* right, const char* front, const char* back)
+void SkyBox::loadCubeMapTextures(const std::string& top, const std::string& bottom, const std::string& left,
+                                  const std::string& right, const std::string& front, const std::string& back)
 {
   this->cubeTexture[0] = (Texture*)ResourceManager::getInstance()->load(top, RP_LEVEL, IMAGE, GL_TEXTURE_CUBE_MAP_POSITIVE_Y_EXT);
@@ -304,13 +296,13 @@
 
   SYNCHELP_READ_FLOAT( size, NWT_SB_SIZE );
-  if ( textureName )
+  if ( !this->textureName.empty() )
   {
-    delete[] textureName;
-    textureName = NULL;
+    textureName = "";
   }
-  SYNCHELP_READ_STRINGM( textureName, NWT_SB_TEXTURENAME );
+  char* texName;
+  SYNCHELP_READ_STRINGM( texName, NWT_SB_TEXTURENAME );
 
   this->setSize( size );
-  this->setTextureAndType( textureName, "jpg" );
+  this->setTextureAndType( texName, "jpg" );
   this->rebuild();
 
@@ -338,5 +330,5 @@
 
     SYNCHELP_WRITE_FLOAT(this->size, NWT_SB_SIZE);
-    SYNCHELP_WRITE_STRING(this->textureName, NWT_SB_TEXTURENAME);
+    SYNCHELP_WRITE_STRING(this->textureName.c_str(), NWT_SB_TEXTURENAME);
 
     return SYNCHELP_WRITE_N;
Index: /branches/std/src/world_entities/skybox.h
===================================================================
--- /branches/std/src/world_entities/skybox.h	(revision 7207)
+++ /branches/std/src/world_entities/skybox.h	(revision 7208)
@@ -28,5 +28,5 @@
 {
  public:
-  SkyBox(const char* fileName = NULL);
+  SkyBox(const std::string& fileName = "");
   SkyBox(const TiXmlElement* root);
 
@@ -44,12 +44,12 @@
   void setSize(float size);
   /** assumes jpg as input-format */
-  void setTexture(const char* name) { if (textureName) delete[] textureName; textureName = new char[strlen(name)+1]; strcpy(textureName, name); this->setTextureAndType (name, "jpg"); };
+  void setTexture(const std::string& name);
 
-  void setTextureAndType(const char* name, const char* extension);
-  void setTextures(const char* top, const char* bottom, const char* left,
-                   const char* right, const char* front, const char* back);
+  void setTextureAndType(const std::string& name, const std::string& extension);
+  void setTextures(const std::string& top, const std::string& bottom, const std::string& left,
+                   const std::string& right, const std::string& front, const std::string& back);
 
-  void loadCubeMapTextures(const char* top, const char* bottom, const char* left,
-                           const char* right, const char* front, const char* back);
+  void loadCubeMapTextures(const std::string& top, const std::string& bottom, const std::string& left,
+                           const std::string& right, const std::string& front, const std::string& back);
 
   GLuint getTexture(SKY_SIDE side) const { return (this->material[side]) ? this->material[side]->getDiffuseTexture(): 0; };
@@ -71,5 +71,5 @@
   float           size;            //!< Size of the SkyBox. This should match the frustum maximum range.
   float           textureSize;     //!< this is the length of a texture (assumes a square texture)
-  char*           textureName;     //!< Name of the Texture
+  std::string     textureName;     //!< Name of the Texture
 
 };